<?
require_once '../connect.php';
?>
<div class="block">
  <div class="content">
    <div class="form-row">
    <div class="row clear">&nbsp;</div>
      <div class="table-responsive">
      <!-- <table class="table table-bordered table-striped table-responsible sortable">-->
			<table class="table table-bordered">
        <thead>
          <tr>
            <th width=02%  class='text-center'><input type="checkbox" class="checkall" /></th>
						<th width=20%>ID</th>
            <th width=10%>Funcionalidade</th>
            <th width=10%>Path</th>
            <th width=10%>Existente?</th>
          </tr>
        </thead>
        <tbody>

          <?php
          $id_grupo=0;

          if(isset($_POST['id_grupo'])){
            $id_grupo = $_POST['id_grupo'];
          }

          $consulta = "
select f.id, f.ds_funcionalidade, f.ds_path_funcionalidade,
       case when exists(select 1 from erpc_grupo_funcionalidade g where g.id_grupo = $id_grupo and g.id_funcionalidade=f.id)
            then 1 else 0 end as st_existe
from   erpc_funcionalidades f";

            // echo $consulta;

						$resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
						if (mysqli_num_rows($resultado)>0) {
			            while ($registro = mysqli_fetch_assoc($resultado)){

              $f_id     = $registro['id'];
              $f_ds     = $registro['ds_funcionalidade'];
              $f_ds_path= $registro['ds_path_funcionalidade'];
              $st_existe= $registro['st_existe'];

						echo "<tr>";

            echo "<td class='text-center'><input id=id_funcionalidade type='checkbox' value='$f_id'/></td>";
						echo "<td>$f_id</td>";
            echo "<td>$f_ds</td>";
            echo "<td>$f_ds_path</td>";
            echo "<td>$st_existe</td>";

            /*
						echo "<td class='nr_qtde' id='nr_qtde' data-id1='$id' contenteditable></td>";
            echo "<td class='text-center'><button name='btn_excluir' onClick='RemoveFantasmaRow(this)' class='glyphicon glyphicon-remove'></td>";
						echo "<td class='text-center'><a href='javascript:RemoveFantasmaRow(this)'><i class='glyphicon glyphicon-remove' title='Remover'><span class='sr-only'>Remover</span></i></a></td>";
            */

						echo "</tr>";
            }
          }
          ?>
        </tbody>
      </table>
    </div>
  </div><!-- table-responsive -->
 </div> <!-- content -->
</div>  <!-- block -->
